Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.graphics.optimizers
Class AbstractOptimizer

    java.lang.Object
      org.deegree.graphics.optimizers.AbstractOptimizer

All Implemented Interfaces:
  Optimizer

Direct Known Subclasses:
  LabelOptimizer, OptimizerChain

    public abstract class AbstractOptimizer

extends Object
implements Optimizer

Abstract base class for `Optimizer` implementations.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider, last edited by: $Author: mschneider $

Field Summary
`protected MapView` | `mapView` Associated `MapView` instance.
`protected Set<Theme>` | `themes` Contains all registered `Theme`s.

Constructor Summary
`AbstractOptimizer()`

Method Summary
`void` | `addTheme(Theme theme)` Adds a `Theme` to be considered by this `Optimizer`.
`void` | `setMapView(MapView mapView)` Sets the associated `MapView` instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.deegree.graphics.optimizers.Optimizer
`optimize`

Field Detail

### themes

    protected Set<Theme> themes

  Contains all registered `Theme`s.

### mapView

    protected MapView mapView

  Associated `MapView` instance.

Constructor Detail

### AbstractOptimizer

    public AbstractOptimizer()

Method Detail

### setMapView

    public void setMapView(MapView mapView)

  Description copied from interface: `Optimizer`
  Sets the associated `MapView` instance. This is needed to provide scale and projection information. Called by the `MapView`.

  Specified by:
    `setMapView` in interface `Optimizer`
  Parameters:
    `mapView` - `MapView` instance to associate with this `Optimizer`

### addTheme

    public void addTheme(Theme theme)

  Description copied from interface: `Optimizer`
  Adds a `Theme` to be considered by this `Optimizer`.

  Specified by:
    `addTheme` in interface `Optimizer`
  Parameters:
    `theme` - `Theme` to be considered

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org